[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# IOperm

Set permission on IO ports

## Declaration

Source position: oldlinux.pp line 1552

`function IOperm(`
`From: Cardinal;`
`Num: Cardinal;`
`Value: LongInt`
`):Boolean;`

## Description

IOperm sets permissions on Num ports starting with port From to Value. The function returns True if the call was successfull, False otherwise.

Note:

- This works ONLY as root.
- Only the first 0x03ff ports can be set.
- When doing a Fork, the permissions are reset. When doing a Execve they are kept.

## Errors

Errors are returned in LinuxError

Documentation generated on: Feb 26 2014